%define name abisuite
%define version 0.7.8
%define release 1

Name: %{name}
Summary: GTK+ based word processor
Version: %{version}
Release: %{release}
Source: http://www.abisource.com/download/lf/abi-%{version}.tar.bz2
Source1: http://www.abisource.com/download/lf/abidistfiles-%{version}.tar.bz2
Source2: http://www.abisource.com/download/lf/expat-%{version}.tar.bz2
Source3: http://www.abisource.com/download/lf/unixfonts-%{version}.tar.bz2
#Source4: http://www.abisource.com/download/lf/wv-%{version}.tar.bz2
Patch0: abi-0.7.8-extern_wv.patch
#Patch0: megaloman.patch
Group: Applications/Publishing
URL: http://www.abisource.com/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Vendor: AbiSource <http://www.abisource.com/>
Prefix: %{_prefix}
Requires: wv
%define ABIPREFIX /usr/share/abisuite

%description
GTK+ based word processor

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n abi-%{version} -b 1 -b 2 -b 3
cd ..
%patch0 -p0

%build
numproc=`grep processor /proc/cpuinfo  | wc -l | xargs expr`
export MAKEFLAGS="-j $numproc OPTIMIZER=\"$RPM_OPT_FLAGS\""
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export ABI_OPT_GNOME=1
make -j $numproc prefix=/usr OPTIMIZER="$RPM_OPT_FLAGS"

%install
export ABI_OPT_GNOME=1
make install prefix=$RPM_BUILD_ROOT%{ABIPREFIX}
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -s %{ABIPREFIX}/bin/AbiWord $RPM_BUILD_ROOT/%{prefix}/bin/abiword
ln -s %{ABIPREFIX}/bin/AbiWord $RPM_BUILD_ROOT/%{prefix}/bin/AbiWord
perl -p -i -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT%{ABIPREFIX}/bin/AbiWord

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog

* Thu Mar  2 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.7.8
- enabled GNOME support
- excluded internal wv, separate wv RPM package used

* Sat Oct 23 1999 Peter Hanecak <hanecak@megaloman.sk>
- some tweaks to make compile posible (how Thierry managed to compile it?)

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
